*{
  margin:0;
  padding:0;

}
html{
  scroll-behavior: smooth;
}
/* ----buttons----- */
.btn {
  font-weight: 600;
  transition: all 300ms ease;
  padding: 1rem;
  width: 20rem;
  border-radius: 2rem;
  background: rgba(255, 255, 255, 0);
}
.btn-color-1
{
  border: rgb(53, 53, 53) 0.1rem solid;
}

.btn-color-1:hover {
  cursor: pointer;
}
.btn-color-1:hover {
  background: rgb(0, 0, 0);
  color: white;
}

/* ------Nav bar----- */
#desktop-nav{
  display: flex;
  flex-direction: row;    
}
#hamburger-nav {
  display: none;
}

.hamburger-menu {
  position: relative;
  display: inline-block;
}

.hamburger-icon {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 24px;
  width: 30px;
  cursor: pointer;
}

.hamburger-icon span {
  width: 100%;
  height: 2px;
  background-color: black;
  transition: all 0.3 ease-in-out;
}

.menu-links {
  position: absolute;
  top: 100%;
  right: 0;
  background-color: white;
  width: fit-content;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3 ease-in-out;
}

.menu-links a {
  display: block;
  padding: 10px;
  text-align: center;
  font-size: 1.5rem;
  color: black;
  text-decoration: none;
  transition: all 0.3 ease-in-out;
}

.menu-links li {
  list-style: none;
}

.menu-links.open {
  max-height: 300px;
}

.hamburger-icon.open span:first-child {
  transform: rotate(45deg) translate(10px, 5px);
}

.hamburger-icon.open span:nth-child(2) {
  opacity: 0;
}

.hamburger-icon.open span:last-child {
  transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child {
  transform: none;
}

.hamburger-icon span:first-child {
  opacity: 1;
}

.hamburger-icon span:first-child {
  transform: none;
}
.logo{
  flex-basis: 60%;
}
.logo img{
  margin-top: 8px;
  margin-left:30px ;
  height:50px;
}
.nav-links{
  margin-top: 7px;
  margin-left: 250px;
  flex-basis: 10%;
  display:flex;
}
nav ul li{
  display: inline-block;
  list-style: none;
  margin: 10px 20px;
}
nav ul li a{
  color: black;
  text-decoration: none;
  font-size: 18px;
  position:relative;
}
nav ul li a::after{
  content: '';
  width:0;
  height: 3px;
  background: black;
  position: absolute;
  left:0;
  bottom:-6px;
  transition:0.5s;
  }
  nav ul li a:hover::after{
      width:100%;
     
  }
/* ------profile------ */
#profile {
  display: flex;
  justify-content: center;
  gap: 5rem;
  height: 80vh;
}
.section__text {
  align-self: center;
  text-align: center;
}
section {
  padding-top: 4vh;
  height: 96vh;
  margin: 1rem 3rem;
  box-sizing: border-box;
  min-height: fit-content;
}

.section-container {
  display: flex;
}


.section__text__p2 {
  font-size: 1.75rem;
  margin-bottom: 2rem;
}
.content{
  margin-top: 30px;
  
 
}
.content h2{
  margin-top:20px;
  margin-left:250px;
}
.section__pic-container{
  display: flex;
    height: 400px;
    width: 400px;
    margin: auto 0; 
}
.bg{
  position:absolute;
  width:100%;
  height:100vh;
  overflow: hidden;
  z-index: -5;
}
.bubbles{
  position: relative;
  display:flex;
}
.bubbles span{
  position: relative;
  min-width:30px;
  height: 30px;
  background: black;
  border-radius:50%;
  
  box-shadow:0 0 0 10px rgba(33, 33, 33, 0.3),
  0 0 50px black,
  0 0 100px black;
  margin: 0 4px;
  animation: animate 15s linear infinite;
  animation-duration: calc(75s / var(--i));
} 
.bubbles span:nth-child(even){
  background:black;
  box-shadow:0 0 0 10px rgba(33, 33, 33, 0.3),
  0 0 50px black,
  0 0 100px black;
}
@keyframes animate{
  0%{
      transform: translateY(100vh) scale(0);
  }
  100%{
      transform: translateY(-10vh)scale(1);
  }
}

/* -------about-------- */

#about {
  position: relative;
}

.about-containers {
  gap: 2rem;
  margin-bottom: 2rem;
  margin-top: 2rem;
}

.about-details-container {
  justify-content: center;
  flex-direction: column;
}

.about-containers,
.about-details-container {
  display: flex;
}
.title {
  font-size: 3rem;
  text-align: left;
}
.learnmoreA{
margin-bottom: -30px;
margin-top: 40px;

}
.details-container{
  display: flex;
  gap: 30px;
  flex-wrap: wrap;
height: 450px;
margin-top: 20px;

}
.section-container {
  gap: 4rem;
  height: 80%;
}
.Acard {
cursor: pointer;
margin-top: 1rem;
margin-left: -1rem;
  width: 1200px;
  height: 450px;
  perspective: 1000px;
}

.Acard-inner {
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;

}

.Acard.flipped .Acard-inner {
  transform: rotateX(180deg);
}

.Acard-face,
.Acard-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  display: flex;
  transition: background 0.5s,transform 0.5s;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  color: #fff;
  border-radius: 15px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

.Acard-face {
  background-color: white;
  outline: 1px solid black;
}
.Acard-face p{
  display: flex;
  flex-wrap: wrap;
  font-size: 14px;
  font-family: 'Times New Roman', Times, serif;
}
.text{
  margin-left: 100px;
  flex-basis: 50%;
  color: black;
}
.Acard-back {
  transform: rotateX(180deg);
  background-color: white;
  outline: 1px solid black;
  color: black;
  gap: 120px;
}

.Acard-face img {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  margin-bottom: 15px;
}

/* Add or modify hover effects and animations according to your theme */
.Acard:hover .Acard-face {
  transform: translateY(-10px);

  background: radial-gradient(circle at top right,  #fff 7%, black );
}

.Acard:hover .Acard-back {
  transform: rotateX(180deg) translateY(-10px);


 background: radial-gradient(circle at top ,  black 2%,#fff );
}

.about-col-1 img{
  width: 100%;
  height: 300px;
  object-fit: cover;

border-radius: 50%;
  transition: transform 0.3s ease, box-shadow 0.3s ease;

}
.about-col-1
{
margin-left: -80px;
  cursor: pointer;
  flex-basis: 25%;
  margin-top: -10px;
  width: 280px;
  height: 300px;
  overflow: hidden;
  position: relative;
  border-radius: 50%;


}
.about-col-1::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: radial-gradient(circle, rgba(0, 0, 0, 0.8) 0%, rgba(255, 255, 255, 0.8) 70%);
  border-radius: 50%;
  opacity: 0;
  transition: opacity 0.3s ease;
}
.about-col-1:hover img {
  transform: scale(1.1);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
}
.about-col-1:hover::before {
  opacity: 1;
}
.about-col-2 img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  margin-top: 30px;
border-radius: 50%;
  transition: transform 0.3s ease, box-shadow 0.3s ease;

}
.about-col-2
{
cursor: pointer;
flex-basis: 25%;
margin-top:30px;
width: 280px;
height: 280px;
overflow: hidden;
position: relative;
border-radius: 50%;

}
.about-col-2::before {
content: "";
position: absolute;
top: 0;
left: 0;
right: 0;
bottom: 0;
background: radial-gradient(circle, rgba(0, 0, 0, 0.8) 0%, rgba(255, 255, 255, 0.8) 70%);
border-radius: 50%;
opacity: 0;
transition: opacity 0.3s ease;
}
.about-col-2:hover img {
  transform: scale(1.1);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
}
.about-col-2:hover::before {
  opacity: 1;
}
.tag_h p{

margin-left: 40px;
}
.tag_h h2{
margin-top: 10px;
margin-left: 40px;
}

.tag_u p{

margin-left: 8px;
}
.tag_u h2{
  margin-top: 10px;
margin-left: 7px;
}

.tag_r p{

margin-left: 76px;
}
.tag_r h2{
  margin-top: 10px;
margin-left: 75px;
}
#Info{
  display:none;
}
.crack{
  display: none;
}
.mob-card{
  height: 600px;
  width: 360.89px;
  perspective: 1000px; 
  background:white;
      position: absolute;
      outline: 1px solid black;
     
      backface-visibility: hidden;
      display: flex;
      flex-direction: column;
      color: black ;
   
font-size: 13px;
font-weight:300;
border-radius: 10px;

box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
text-align: center;
}
.mob-card p{
  margin-top: -10px;
  padding: 1rem;
  
}
.mob-card h2{
  margin-top: 30px;
  padding:1rem;
  font-size: 16px;
}
/* -------services------ */


.service-details-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
}
.containers{
  padding:30px;

 
}

.learnmore {
margin-top: 155px;
margin-left: 110px;

}
.learnmore4 {
margin-top: 110px;
margin-left: 110px;
}
.learnmore3 {
margin-top: 140px;
margin-left: 110px;
}

.offers-list{
display:grid;
grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
grid-gap:40px;
margin-top:50px;
}
.card {
  height: 480px;
  width: 260.89px;
  perspective: 1000px; 
}
.card-inner {
  width: 100%;
  height: 100%;
  transform-style: preserve-3d;
  transition: transform 0.6s;
}
.card.flipped .card-inner {
  transform: rotateY(180deg);
}
.card-face,
    .card-back {
      background:white;
      position: absolute;
      outline: 1px solid black;
      width: 100%;
      height: 100%;
      backface-visibility: hidden;
      display: flex;
      flex-direction: column;
      color: black ;
      transition: background 0.5s,transform 0.5s;
font-size: 13px;
font-weight:300;
border-radius: 10px;
cursor: pointer;
box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    }
    .card-face {
      background-color: white; /* Front face color */
    }

    .card-back {
      transform: rotateY(180deg);
      background-color: white;
  }
    

    .card:hover .card-face {
      transform: translateY(-20px);

      background: radial-gradient(circle at top right, black 7%, #fff );
    }

    .card:hover .card-back {
      transform: rotateY(180deg) translateY(-20px);
  
     
      background: radial-gradient(circle at top right, #fff  2%, black);
    }

    .card-face h2{
      color: black;
      font-size:30px;
      font-weight: 500;
  margin-bottom: 15px;
  margin-top: 40px;
  margin-left: 20px;
  transition: color 0.3s ease;
  }
  .card-face p{
      text-decoration: none;
      color: black;
   
      display: flex;
      flex-wrap: wrap;
      margin-left: 20px;
      margin-top:5px;
      display: inline-block;
      transition: color 0.3s ease;
      
  }
  
  .card-face:hover p{
      color:white;
  }
  .card-face:hover h2{
      color:white;
  }
  .card-face:hover a{
      color:white;
  }

  /* --------Contact------- */
#Contact{
  padding:80px 20px;
 
}
.cont-row{
display: flex;
gap: 30px;
flex-wrap: wrap;
height: 450px;
margin-top: -20px;
}
.row-left{
  flex-basis: 35%;
}
.row-right{
  flex-basis: 60%;
}
.row-left p{
  margin-top: 10px;
}
.row-left p i{
  color: black;
  font-size: 25px;
  margin-right: 15px;
}
.social-icons{
  margin-top:30px;
  display: flex;
}
.social-icons a{
  text-decoration: none;
  font-size: 30px;
  margin-right: 15px;
  color: black;
  display: inline-block;
  transition: transform 0.5s;
}
.social-icons a:hover{
  transform: translateY(-8px)
}


.row-right form{
  width:90%;
}
form input, form textarea{
  width:100%;
  border:0;
  background:white;
  padding:15px;
  margin:15px 0;
  color: black;
  font-size: 18px;
  border-radius: 6px;
  outline: 1px solid black;
}
#msg{
margin-top: 30px;
  display: block;
  color:black;
}